> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 根据 ID 永久删除该机密。此操作无法撤销。

# 删除机密



## OpenAPI

````yaml zh/v1-openapi.yaml DELETE /v1/secrets/{secret_id}
openapi: 3.1.0
info:
  description: Devin v1 API：个人 API key 与服务 API key
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets/{secret_id}:
    delete:
      summary: 删除机密
      description: 从组织中删除机密。
      operationId: delete_secret_v1_secrets__secret_id__delete
      parameters:
        - in: path
          name: secret_id
          required: true
          schema:
            title: Secret Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
          description: 成功的响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    DeleteSecretResponse:
      description: 删除密钥成功后的响应。
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: DeleteSecretResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 个人 API Key（apk_user_\*）或服务 API Key（apk_\*）
      scheme: bearer
      type: http

````